Package org.jfree.layouting.input.style.parser

## Class CSSParserContext

- java.lang.Object
- - org.jfree.layouting.input.style.parser.CSSParserContext

-     public class CSSParserContext
      extends java.lang.Object

  Creation-Date: 25.11.2005, 17:47:10
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy​()` |
    `static CSSParserContext` | `getContext​()` |
    `java.lang.String` | `getDefaultNamespace​()` |
    `java.util.Map` | `getNamespaces​()` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getSource​()` |
    `StyleKeyRegistry` | `getStyleKeyRegistry​()` |
    `CSSValueFactory` | `getValueFactory​()` |
    `void` | `setDefaultNamespace​(java.lang.String defaultNamespace)` |
    `void` | `setNamespaces​(java.util.Map namespaces)` |
    `void` | `setSource​(org.pentaho.reporting.libraries.resourceloader.ResourceKey source)` |
    `void` | `setStyleKeyRegistry​(StyleKeyRegistry styleKeyRegistry)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getContext

          public static CSSParserContext getContext​()

    - #### setStyleKeyRegistry

          public void setStyleKeyRegistry​(StyleKeyRegistry styleKeyRegistry)

    - #### getStyleKeyRegistry

          public StyleKeyRegistry getStyleKeyRegistry​()

    - #### getValueFactory

          public CSSValueFactory getValueFactory​()

    - #### getSource

          public org.pentaho.reporting.libraries.resourceloader.ResourceKey getSource​()

    - #### setSource

          public void setSource​(org.pentaho.reporting.libraries.resourceloader.ResourceKey source)

    - #### getNamespaces

          public java.util.Map getNamespaces​()

    - #### setNamespaces

          public void setNamespaces​(java.util.Map namespaces)

    - #### getDefaultNamespace

          public java.lang.String getDefaultNamespace​()

    - #### setDefaultNamespace

          public void setDefaultNamespace​(java.lang.String defaultNamespace)

    - #### destroy

          public void destroy​()